#ifndef SERVICES_ASSISTANT_SYSTEM_OPERATION_INTERFACE_H
#define SERVICES_ASSISTANT_SYSTEM_OPERATION_INTERFACE_H

#include <string>

#include "assistant/intentdialoguemanager/dialoguemessage.h"

class SystemOperationInterface {
public:
    virtual ~SystemOperationInterface() = default;

    virtual DialogueData::CallSuccessIdentifier callSystemControlInterface(
        const DialogueData::Intent& scenarioIntent) = 0;  // 系统操作控制接口

    virtual DialogueData::CallSuccessIdentifier callSystemScheduleManagementInterface(std::string inputContent) = 0;

    virtual DialogueData::CallSuccessIdentifier callSystemToDoListInterface(const std::string& inputContent) = 0;

    virtual DialogueData::CallSuccessIdentifier callSystemOpenScheduleInterface(const std::string& inputContent) = 0;

    virtual bool callSourceUrlTool(int toolId) = 0;
};

#endif  // SERVICES_ASSISTANT_SYSTEM_OPERATION_INTERFACE_H